#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%define		_enable_debug_packages	0

Summary:	Camomile - comprehensive Unicode library for OCaml
Summary(pl.UTF-8):	Camomile - obszerna biblioteka unikodowa dla OCamla
Name:		ocaml-camomile
Version:	1.0.2
Release:	1
License:	LGPL v2+ with linking exception
Group:		Libraries
Source0:	https://github.com/yoriyuki/Camomile/releases/download/%{version}/camomile-%{version}.tbz
# Source0-md5:	1a193d43a112bf69eba1bc581d7f4a77
URL:		https://github.com/yoriyuki/Camomile
BuildRequires:	ocaml >= 1:4.02.3
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-dune
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Camomile is a comprehensive Unicode library for OCaml. Camomile
provides Unicode character type, UTF-8, UTF-16, UTF-32 strings,
conversion to/from about 200 encodings, collation and locale-sensitive
case mappings, and more.

This package contains database files needed to run executables using
Camomile library.

%description -l pl.UTF-8
Camomilw to obszerna biblioteka unikodowa dla OCamla. Camomile
udostępnia typ znaku unikodowego, łańcuchy UTF-8, UTF-16, UTF-32,
konwersję z/do około 200 kodowań, tablice sortowania oraz wielkości
liter zależne od lokalizacji itd.

Ten pakiet zawiera pliki baz danych potrzebne do uruchamiania
programów wykorzystujących bibliotekę Camomile.

%package devel
Summary:	Camomile Unicode library for OCaml - development part
Summary(pl.UTF-8):	Biblioteka unikodowa Camomile dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq ocaml

%description devel
This package contains files needed to develop OCaml programs using
Camomile library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
biblioteki Camomile.

%prep
%setup -q -n camomile-%{version}

%build
dune build --verbose --profile release

%install
rm -rf $RPM_BUILD_ROOT

dune install \
	--verbose \
	--destdir $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md README.md
%dir %{_libdir}/ocaml/camomile
%{_libdir}/ocaml/camomile/META
%dir %{_libdir}/ocaml/camomile/default_config
%dir %{_libdir}/ocaml/camomile/dyn
%dir %{_libdir}/ocaml/camomile/lib_default
%dir %{_libdir}/ocaml/camomile/library
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/camomile/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/camomile/default_config/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/camomile/dyn/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/camomile/lib_default/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/camomile/library/*.cmxs
%endif
#%{_libdir}/ocaml/camomile/library/
%{_datadir}/camomile

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/camomile/*.cma
%{_libdir}/ocaml/camomile/*.cmi
%{_libdir}/ocaml/camomile/*.cmt
%{_libdir}/ocaml/camomile/dune-package
%{_libdir}/ocaml/camomile/opam
%{_libdir}/ocaml/camomile/default_config/*.cma
%{_libdir}/ocaml/camomile/default_config/*.cmi
%{_libdir}/ocaml/camomile/default_config/*.cmt
%{_libdir}/ocaml/camomile/dyn/*.cma
%{_libdir}/ocaml/camomile/dyn/*.cmi
%{_libdir}/ocaml/camomile/dyn/*.cmt
%{_libdir}/ocaml/camomile/lib_default/*.cma
%{_libdir}/ocaml/camomile/lib_default/*.cmi
%{_libdir}/ocaml/camomile/lib_default/*.cmt
%{_libdir}/ocaml/camomile/library/*.cma
%{_libdir}/ocaml/camomile/library/*.cmi
%{_libdir}/ocaml/camomile/library/*.cmt
%{_libdir}/ocaml/camomile/library/*.cmti
%{_libdir}/ocaml/camomile/library/*.mli
%if %{with ocaml_opt}
%{_libdir}/ocaml/camomile/*.a
%{_libdir}/ocaml/camomile/*.cmx
%{_libdir}/ocaml/camomile/*.cmxa
%{_libdir}/ocaml/camomile/default_config/*.a
%{_libdir}/ocaml/camomile/default_config/*.cmx
%{_libdir}/ocaml/camomile/default_config/*.cmxa
%{_libdir}/ocaml/camomile/dyn/*.a
%{_libdir}/ocaml/camomile/dyn/*.cmx
%{_libdir}/ocaml/camomile/dyn/*.cmxa
%{_libdir}/ocaml/camomile/lib_default/*.a
%{_libdir}/ocaml/camomile/lib_default/*.cmx
%{_libdir}/ocaml/camomile/lib_default/*.cmxa
%{_libdir}/ocaml/camomile/library/*.a
%{_libdir}/ocaml/camomile/library/*.cmx
%{_libdir}/ocaml/camomile/library/*.cmxa
%endif
%changelog
* Thu Apr 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-camomile.git;a=log;h=master

* Thu Apr 01 2021 Jan Rękorajski <baggins@pld-linux.org> e25739e
- rel 1

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> b59ea23
- cleanup files

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 25d8f31
- up to 1.0.2

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 4df8a93
- started update to 1.0.2

* Sat Jun 10 2017 Jakub Bogusz <qboosh@pld-linux.org> efeeaf0
- new URLs, updated to 0.8.5

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 6287196
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> d4fa888
- release 5 (by relup.sh)

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 701c278
- fixed byte/opt files split

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 61475ba
- complete ocaml_opt archs list
- release 4 (ocaml rebuild)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 344107f
- added ocam_opt bcond
- rel 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 0303828
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 6c9b851
- cleanup

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 2ca02a0
- try make -j1 to avoid "Error: Unbound module UReStrParser"

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 5142b5d
- new

